lpstat(1)

NOMBRE
lpstat - imprime la información de estado de cups

SINOPSIS
lpstat [ -E ] [ -h servidor ] [ -l ] [ -W que-trabajos ] [ -a [ destino(s) ] ] [ -c [ clase(s) ] [ -d ] [ -o [ destino(s) ] ] [ -p [ impresora(s) ] ] [ -r ] [ -R ] [ -s ] [ -t ] [ -u [ usuario(s) ] ] [ -v [ impresora(s) ] ]

DESCRIPCIÓN
lpstat visualiza la información de estado sobre las clases, trabajos, e impresoras actuales. Cuando es ejecutado sin argumentos, lpstat listará los trabajos puestos en cola por el usuario. Otras opciones son:

-E
    Hace que se use encriptación en la conexión con el servidor.

-a [impresora(s)]
    Muestra el estado de aceptación de las colas de las impresoras. Si no se especifican impresoras, se listan todas.

-c [clase(s)]
    Muestra las clases de impresoras y las impresoras que pertenecen a ellas. Si no se especifican clases, se listan todas.

-d
    Muestra el destino predeterminado actual.

-h servidor
    Especifica el servidor CUPS con el que comunicar.

-l
    Muestra un listado detallado de impresoras, clases o trabajos.

-o [destino(s)]
    Muestra la cola de trabajos en los destinos especificados. Si no se especifica destino, se muestran todos los trabajos.

-p [impresora(s)]
    Muestra las impresoras y si están activas para imprimir. Si no se especifican impresoras, se listan todas.

-r
    Muestra si el servidor CUPS está en funcionamiento.

-R
    Muestra la clasificación de los trabajos de impresión.

-s
    Muestra un resúmen de estado, incluyendo el destino predeterminado, una lista de clases y las impresoras miembros que las forman, y una lista de impresoras y sus dispositivos asociados. Esto es equivalente a usar las opciones "-d", "-c", y "-v".

-t
    Muestra toda la información de estado. Es equivalente a usar las opciones "-r", "-d", "-c", "-v", "-a", "-p", y "-o".

-u [usuario(s)]
    Muestra una lista de trabajos de impresión puestos en cola por los usuarios especificados. Si no se especifican usuarios, lista los trabajos puestos en cola por el usuario actual.

-v [impresora(s)]
    Muestra las impresoras y los dispositivos a los que están conectadas. Si no se especifican impresoras, se listan todas.

-W [que-trabajos]
    Especifica qué trabajos mostrar, completed (completados) o not-completed (no completados) (predeterminado). Esta opción debe aparecer antes de la opción -o y/o de cualquier nombre de impresora, porque si no el valor predeterminado (not-completed) será usado en la petición al planificador de tareas.

COMPATIBILIDAD
A diferencia del sistema de impresión System V, CUPS permite que los nombres de impresoras contengan cualquier carácter imprimible excepto ESPACIO y TAB. También, en los nombres de clases e impresoras no hay distinción entre mayúsculas y minúsculas.

Las opciones "-h" y "-W" son exclusivas de CUPS.

Las opciones "-f", "-P", y "-S" de Solaris se ignoran silenciosamente.

VÉASE TAMBIÉN
cancel(1), lp(1), Manual de usuario de CUPS, http://localhost:631/documentation.html

DERECHOS DE COPIA
Los derechos de copia 1993-2005 son de Easy Software Products. Todos los derechos reservados.

TRADUCCIÓN
Juan Pablo González Riopedre <riopedre@tiscali.es>